package com.uoc.chapi.GPX;

import android.media.MediaPlayer;
import android.util.Log;

import com.uoc.chapi.Geo.GeoData;
import com.uoc.chapi.Routes.R;

import java.util.ArrayList;

/**
 * Created by Chapi on 21/02/2017.
 */

public class GpxRoute {

    static String TAG = "TFM-GpxRoute";
    static private double distanceWithinTrack = 50;
    static ArrayList<GpxEntry> route = new ArrayList<GpxEntry>();
    static boolean loadedRoute = false;

    static public ArrayList<GpxEntry> GetGpxRoute() { return route; }
    static public void ClearRoute () { route.clear(); }

    static public void SetLoadedRoute (boolean aLoadedRoute) { loadedRoute = aLoadedRoute; }
    static public boolean GetLoadedRoute () { return loadedRoute; }
    static public GpxEntry GetGpxEntry (int index) { return route.get(index); }

    private static MediaPlayer mediaPlayer;

    static public int LookForTheTrack(double latitude, double longitude)
    {
        int result = -1;

        for (int index = 0; index < route.size(); index++) {
            if (GeoData.distance(route.get(index).latitude, route.get(index).longitude
                    , latitude, longitude
                    , 'K') * 1000 < distanceWithinTrack){
                Log.d(TAG, "Dentro de la ruta");
                result = index;
                break;
            }
        }

        if (result == -1) {
            Log.d(TAG, "Fuera de la ruta");
        }

        return result;
    }
}
