package com.uoc.chapi.GPX;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by Chapi on 15/02/2017.
 */

public class GpxPoint {

    private double latitude;
    private double longitude;
    private double elevation;
    private Date date;

    public GpxPoint() {
        this.latitude = 0.0;
        this.longitude = 0.0;
        this.elevation = 0.0;
    }

    public GpxPoint(double latitude, double longitude, double elevation, Date date) {
        this.latitude = latitude;
        this.longitude = longitude;
        this.elevation = elevation;
        this.date = date;
    }

    public double GetLatitude() {
        return latitude;
    };

    public double GetLongitude() {
        return longitude;
    };

    public double GetElevation() {
        return elevation;
    };

    public Date GetDate() {
        return date;
    };
}
